async function Guardar(){
	let data = {'opcion':'inmueble_servicios'};
	let permiso =  await fetchData('user.permiso',data);
    if (permiso.estado=="ACTIVO"){
        parent.list.Save();
    }else{
        document.getElementById('permisoModal').style.display = 'inline';
    }
}
async function Autorizar(){
	let data = {'usuario':document.getElementById('usuario').value,'clave':document.getElementById('clave').value,'opcion':'inmueble_servicios'};
	let permiso =  await fetchData('user.autoriza',data);
    //console.log(permiso);
    if (permiso.estado=="ACTIVO"){
        parent.list.Save();
    }else{
       alert("AUTORIZACION INVALIDA");
    }
    document.getElementById('usuario').value="";
    document.getElementById('clave').value="";    
    document.getElementById('permisoModal').style.display = 'none';
}
function Cerrar(){
    document.getElementById('usuario').value="";
    document.getElementById('clave').value="";    
    document.getElementById('permisoModal').style.display = 'none';    
}
function fetchData(endPoint,data){
    return new Promise(resolve => {
		var r = new XMLHttpRequest();
		r.open("POST",'../pl/'+endPoint+".pl", true);
		r.setRequestHeader("Content-Type", "application/json");
		r.send(JSON.stringify(data));	
		r.onreadystatechange = function () {
			if (r.readyState != 4 || r.status != 200) return;
			//console.log(endPoint);			
			//console.log(r.responseText);
			resolve(JSON.parse(r.responseText));
		};		
    }); 
}
function ClaseNoAplica() {
    if(document.master.c1_tipo_tarifa_id.value=="N"){
	document.master.c2_codigo_id.value = "NA";
	document.master.v64_codigo.value = "NO APLICA";
    }
}
function GetClase(){
    var TipoClase = document.master.c1_tipo_tarifa_id.options[document.master.c1_tipo_tarifa_id.selectedIndex].text.toLowerCase();
    var TipoClases = TipoClase+"s";
    if(TipoClase==""){alert("Escojer el Tipo de Clase Primero");return;}
    var GetBackStream	 = "c2_"+TipoClase+"_id|c2_codigo_id,v64_"+TipoClase+"|v64_codigo";
    parent.list.GetBack('LIST',TipoClases,GetBackStream,'parent.opener.parent.form.master',300,100,'','');  
}